	SUBROUTINE GET_USERNAME(running_user)
	IMPLICIT INTEGER(A-Z)
	INTEGER*4 icode
	CHARACTER running_user*31
	INCLUDE '($LIBDEF)'
	INCLUDE '($JPIDEF)'
	EXTERNAL netmail_nousername
C
C	Set default strings and logicals.
C
	running_user = ' '
C
C	Get running username.
C
	icode = LIB$GETJPI(JPI$_USERNAME,,,, running_user,)
C
	return
	end
